""" Fichier brinscomp2.py """

import os
from Bio import SeqIO
from Bio.Seq import Seq


def brins_comp(seq_ou_fichier=""):

    """ brins_comp affiche les séquences complémentaires
        et inverses d'un brin d'ADN """

    # gestion du paramètre
    #  si seq_ou_fichier se termine par ".fasta"
    #  c'est un fichier et on y lit la séquence
    #  sinon, ce doit être directement la séquence

    if seq_ou_fichier == "":
        print('aucune séquence ou séquence vide. STOP.')
        return

    if seq_ou_fichier[-6:] == ".fasta":
        nom_fic = seq_ou_fichier
        if not os.path.isfile(nom_fic):
            print(" fichier " + nom_fic + " non vu")
            return
        with open(nom_fic, encoding='UTF-8') as fich_seq:
            seq1 = SeqIO.read(fich_seq, 'fasta').seq
            print("séquences issues du fichier " + nom_fic)
    else:
        seq1 = Seq(seq_ou_fichier)
        print("séquence(s) ")

    # calculs

    seq2 = seq1[::-1]
    seq3 = seq1.complement()
    seq4 = seq3.reverse_complement()

    # affichages

    print("  originale              : ", seq1)
    print("  originale inverse      : ", seq2)
    print("  complémentaire         : ", seq3)
    print("  complémentaire inverse : ", seq4)


if __name__ == "__main__":  # auto-test

    print("-- test pour la chaine vide")
    brins_comp()
    print("-- test pour la chaine GATTACA")
    brins_comp("GATTACA")
    print("-- test pour le fichier 276565.fasta (non présent)")
    brins_comp("276565.fasta")
    print("-- test pour le fichier 2765658.fasta (présent)")
    brins_comp("2765658.fasta")

# fin de l'auto-test
