""" Fichier comp_hydro.py """

# comparaison des valeurs de la table
# de Kyte et Doolittle entrées manuellement
# à celles de Biopython

from Bio.SeqUtils.ProtParam import ProtParamData

kd_m = {'A': 1.8, 'C': 2.5, 'D': -3.5,
       'E': -3.5, 'F': 2.8, 'G': -0.4, 'H': -3.2, 'I': 4.5,
       'K': -3.9, 'L': 3.8, 'M': 1.9, 'N': -3.5, 'P': -1.6,
       'Q': -3.5, 'R': -4.5, 'S': -0.8, 'T': -0.7, 'V': 4.2,
       'W': -0.9, 'Y': -1.3}

SCALE = "KyteDoolitle"
kd_biop = ProtParamData.gravy_scales.get(SCALE, -1)

TXT_DIF = "différence entre les deux échelles"
NBDIFF = 0
for aa, val in kd_m.items():
    VM = val
    VB = kd_biop[aa]
    if VM != VB:
        NBDIFF += 1
        print(TXT_DIF + " numéro ", NBDIFF, ": ")
        print("aa : ", aa, " valeur manuelle ", VM)
        print(" valeur Biopython ", VB)

if NBDIFF == 0:
    print("aucune " + TXT_DIF + ".")
