""" Fichier denombre.py """

import re


def denombre_reg_nuc(seq, reg_nuc):

    """ calcul du nombre de fois où reg_nuc est présent
        dans seq (reg_nuc est une expression régulière) """

    reg_nuc = reg_nuc.upper()  # conversion silencieuse
    seq = seq.upper()          # conversion silencieuse
    compteur_reg = len(re.findall(reg_nuc, seq))

    return compteur_reg


if __name__ == "__main__":  # auto-test

    print(" denombre_reg_nuc('',r'A') : ",
       denombre_reg_nuc("", r"A"))

    print(" denombre_reg_nuc('ATGC',r'') : ",
       denombre_reg_nuc("ATGC", r""))

    print(" denombre_reg_nuc('ATGCATGC',r'A') : ",
       denombre_reg_nuc("ATGCATGC", "A"))

    print(" denombre_reg_nuc('ATGCATGC',r'G|C') : ",
       denombre_reg_nuc("ATGCATGC", "G|C"))

# fin de l'auto-test
