""" Fichier evalues.py """

import re


def normalise_evalue(evalue):

    """ normalisation des décimales d'une evalue """

    # on décompose en trois parties :
    #  - avant le point
    #  - entre le point et le e
    #  - après le e

    regexp = re.compile(r"(.*?)\.(\d*?)[eE](.*)")
    res_rch = regexp.search(str(evalue))
    avant_p = res_rch.group(1)
    avant_e = res_rch.group(2)
    apres_e = res_rch.group(3)

    # on ajoute des zéros à droite pour avoir 5 caractères

    avant_e = avant_e.ljust(5, "0")

    # on compose la nouvelle evalue

    new_evalue = F"{avant_p}.{avant_e}E{apres_e}"

    return new_evalue


def montre_new_evalue(evalue):

    """ affichage le code identifiant
        et le numéro d'accession associée  """

    print(" valeur originale = ", evalue)
    new_evalue = normalise_evalue(evalue)
    print(" valeur arrangée  = ", new_evalue, end="\n\n")


if __name__ == "__main__":  # auto-test

    montre_new_evalue(1.06584e-25)  # rien à faire
    montre_new_evalue(3.3838e-24)   # manque zéro devant e

# fin de l'auto-test
