""" Fichier homologues_utils2.py """

import xmltodict


def parcours_xmltodict(nom_fic_xml, nb_hom):

    """ parcours XML et extraction des HSP """

    tab_res = []
    with open(nom_fic_xml, 'r', encoding="UTF-8") as fic_xml:
        doc = xmltodict.parse(fic_xml.read())
    hits = doc['BlastOutput']['BlastOutput_iterations']
    hits = hits['Iteration']['Iteration_hits']['Hit']
    nb_ali = 0
    for hit in hits:
        nb_ali += 1
        if nb_ali <= nb_hom:
            hit_id = hit['Hit_accession']
            hsps = hit['Hit_hsps']['Hsp']
            evalue = hsps['Hsp_evalue']
            score = hsps['Hsp_score']
            tab_res.append({'idprot': hit_id,
                      'evalue': evalue, 'escore': score})

    print(F"  - lecture du fichier {nom_fic_xml} réussie")

    return tab_res
