""" Fichier profilhyd_utils.py """

import os
import requests
from Bio import SeqIO


def sequence_fichier(fichier):

    """ on accède directement à la première séquence
        grâce à la fonction SeqIO.parse() de Biopython
        et la fonction next() de Python                """

    if not os.path.isfile(fichier):
        print(F"Fichier {fichier} non vu. STOP.")
        return ""

    enreg = next(SeqIO.parse(fichier, "fasta"))
    sequence = str(enreg.seq)

    return sequence


def sequence_uniprot(code_uniprot):

    """ on lit le fichier fasta sur Uniprot """

    uniprot = "https://www.uniprot.org/uniprot/"
    url_unip = uniprot + code_uniprot + ".fasta"
    response = requests.post(url_unip, timeout=15)

    if response.status_code == 400:
        print(F"URL {url_unip} non vue")
        return ""
    sequence = response.text.split("\n")[1]

    return sequence
