""" utilisation d'expressions régulières en Python
    (fichier xmp_regexp.py)                           """

import re

# RE action 1 : test

INPUTAGE = 25  # mettre 25.2 ou "non" comme cas invalide
REGEXP_AGE = r"^[1-9][0-9]*$"
if re.search(REGEXP_AGE, str(INPUTAGE)):
    print("il s'agit d'un entier strictement positif.")
else:
    print("il ne s'agit pas d'un entier strictement positif.")
# fin si

# RE action 2 : extraction

ENTREE = "<input id='pomme' value='5' class='demo' />"
REGEXP_ENTREE = r"<input .*?value='(?P<ent>.*?)'"
rep = re.search(REGEXP_ENTREE, ENTREE)
valEnt = rep.group('ent')
print("la valeur est ", valEnt)

# RE action 3 : remplacement

DATEFR = "31-08-1957"
REGEXP_DATE = r"([0-9]+?)-([0-9]+?)-([0-9]+)"
SUBST = "\\3-\\2-\\1"
dateUS = re.sub(REGEXP_DATE, SUBST, DATEFR)
print(dateUS)
